---
schema_version: "1"
id: 944eb34a44bf238c59f0cf3421278d76f30fecd48dab3253f2feb6e8f65ac135
title: Collections Methods
collection: tableau
version: next
locale: en-us
portal_url: https://docs.salesforce.com/tableau/next/en-us/api/rest_api/REST/rest_api_ref_collections.md
canonical_url: https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_ref_collections.htm
source_site: help.tableau.com
content_type: documentation
content_hash: 2675eef63870ef803cbf855415a569c81ade54b31ce2913cee830540a16db941
description: Collections REST API endpoints enable you to retrieve and manipulate Tableau collections programmatically
---
[Skip to main content](#main-content)

# Collections Methods

Collections REST API endpoints enable you to retrieve and manipulate [Tableau collections](https://help.tableau.com/current/pro/desktop/en-us/collections.htm) programmatically. You can use a Tableau collection to make and share a list of resources. The list items don't need to be in the same project. Users that access a shared collection will only be able to see the items that they have permissions to. With collections REST methods, you can: - List all collections that the signed in user has access to. - Create a collection or delete a specified collection the signed in user has access to. - Get the details of a specified collection the signed in user has access to. - Create or delete specified items in a collection the signed in user has access to. - Update the properties of a batch of collections the signed in user has access to. - List all items of a collection that the signed in user has permissions to. - Transfer ownership of specified collections from one user to another.

**Using Filters & Sort Options**

When using GET methods for collections endpoints, you can use `filter` and `sort` parameters to: - Filter which collections or items are returned - Control the order in which items appear in the results

Valid filter options are:

`type` - The resource type of items in a collection, called `contentType` in responses. The value can be one or more comma separated types. - `ownerLuid` - The LUID of the owner. - `visibility` - The value can be `public` or `private`. If no value is provided, then both private and public collections visible to the user will be returned. A private collection is one that has not been shared and can only be seen by its owner, or a user with server or site administrator permissions. A public collection is one that has been shared and is visible to whoever it is shared with. - `createdTime` - The creation time in ISO 8601 format. - `updatedTime` - The last updated time in ISO 8601 format. - `modifiedTime` - The last updated time in ISO 8601 format. - `siteId` - The integer ID value of the site that the collection belongs to. - `favorite` - The boolean value of whether the item is marked as a favorite for the currently signed in user. - `luid` The LUID of the collection. - `title` - The title of the collection item. Use quotes for entry (i.e. `filter=name:eq:Superstore Workbook`).

Valid sort options are:

- `type` - The resource type of items in a collection, called `contentType` in responses.
- `visibility` - The value can be `public` or `private`. If no value is provided, then both private and public collections visible to the user will be returned. A private collection is one that has not been shared and can only be seen by its owner, or a user with server or site administrator permissions. A public collection is one that has been shared and is visible to whoever it is shared with.
- `createdTime` - The creation time.
- `updatedTime` - The last updated time.
- `modifiedTime` - The last updated time.
- `title` - The title of the collection item.
- `name` - The title of the collection.
- `ownerName` - The name of the owner.
- `position` - The custom order of the content in the collection.

## Add Collection Permissions

Adds permissions to the specified collection for a user or group. You can specify multiple sets of permissions using one call.

If a specified permission has already been granted or denied for a given user or group, the system ignores it.

#### URI

PUT /api/api-version/sites/site-id/collections/collection-id/permissions

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site that contains the collection.</td></tr><tr><td><span class="api-placeholder">collection-id</span></td><td>The ID of the collection to set permissions for.</td></tr></tbody></table>

#### Request Body

```
<tsRequest>
  <permissions>
    <granteeCapabilities>
      <user id="user-id" />
        <capabilities>
          <capability name="capability-name" mode="capability-mode" />
          <!-- ... additional capabilities ... -->
        </capabilities>
    </granteeCapabilities>
    <granteeCapabilities>
      <group id="group-id" />
        <capabilities>
          <capability name="capability-name" mode="capability-mode" />
          <!-- ... additional capabilities ... -->
        </capabilities>
    </granteeCapabilities>
    <!-- ... additional granteeCapability sets ... -->
  </permissions>
</tsRequest>
```

#### Attribute Values

<table class="api-parameters-table">
                        <colgroup>
                            <col class="api-parameters-table-col-1-extra-wide">
                            <col>
                        </colgroup>
                        <tbody>
                            <tr>
                                <td><span class="api-placeholder">user-id</span>
                                </td>
                                <td>The ID  of the user to add permissions for.</td>
                            </tr>
                            <tr>
                                <td><span class="api-placeholder">group-id</span>
                                </td>
                                <td>The ID  of the group to add permissions for.</td>
                            </tr>
                            <tr>
                                <td><span class="api-placeholder">capability-name</span>
                                </td>
                                <td>
                                    <p>The capability to assign. The only valid capability for a collection is <span class="api-command-ref">Read</span>.</p>
                                    <p>For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm" class="xref">Permissions</a>.</p>
                                </td>
                            </tr>
                            <tr>
                                <td><span class="api-placeholder">capability-mode</span>
                                </td>
                                <td><span class="api-command-ref">Allow</span> to allow the capability,
                                    or <span class="api-command-ref">Deny</span> to deny it.</td>
                            </tr>
                        </tbody>
                    </table>

#### Permissions

This method can be called by server administrators, site administrators, and collection owners.

#### Required scope for JWT authorization

_Scope added in API 3.27 (Tableau Cloud December 2025 / Server 2025.3)._

Authorize use of this method by including this scope in the JSON Web Token (JWT). For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud), or [Access Scopes for Connected Apps](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) in the Tableau Cloud Help or [Access Scopes for Connected Apps](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) in the Tableau Server Help.

```
tableau:permissions:update
```

#### Response Code

200

#### Response Body

```
<tsResponse>
  <permissions>
    <collection id="1a1b1c1d-2e2f-2a2b-3c3d-3e3f4a4b4c4d" name="My Collection">
      <owner id="12ab34cd-56ef-78ab-90cd-12ef34ab56cd"/>
    </collection>
    <granteeCapabilities>
      <group id="1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d"/>
      <capabilities>
        <capability name="Read" mode="Allow"/>
      </capabilities>
    </granteeCapabilities>
    <granteeCapabilities>
      <user id="#9f9e9d9c-8b8a-8f8e-7d7c-7b7a6f6d6e6d"/>
      <capabilities>
        <capability name="Read" mode="Allow"/>
      </capabilities>
    </granteeCapabilities>
  </permissions>
</tsResponse>
```

#### Version

Version 3.12 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table">
                        <colgroup>
                            <col class="api-error-table-col-1">
                            <col class="api-error-table-col-2">
                            <col class="api-error-table-col-3">
                            <col>
                        </colgroup>
                        <tbody>
                            <tr>
                                <th>HTTP status</th>
                                <th><code>error</code> Code</th>
                                <th>Condition</th>
                                <th>Details</th>
                            </tr>
                            <tr>
                                <td>400</td>
                                <td>400000</td>
                                <td>Bad request</td>
                                <td>The content of the request body is missing or incomplete, or contains malformed XML.</td>
                            </tr>
                            <tr>
                                <td>403</td>
                                <td>403004</td>
                                <td>No permissions to set permissions.</td>
                                <td>A user attempted to add permissions to a collection, but the caller doesn't have permission to set permissions on the collection.</td>
                            </tr>
                            <tr>
                                <td>404</td>
                                <td>404000</td>
                                <td>Resource not found</td>
                                <td>The site ID in the URI wasn't found.</td>
                            </tr>
                            <tr>
                                <td>404</td>
                                <td>404002</td>
                                <td>User not found</td>
                                <td>The user in the request body wasn't found.</td>
                            </tr>
                            <tr>
                                <td>404</td>
                                <td>404012</td>
                                <td>Group not found</td>
                                <td>The group in the request body wasn't found.</td>
                            </tr>
                            <tr>
                                <td>404</td>
                                <td>404013</td>
                                <td>Resource not found</td>
                                <td>
                                    <p>The capability to remove the permission for. The only valid capability name for a collection is <span class="api-command-ref">Read</span>. The only valid capability mode is <span class="api-command-ref">Allow</span> or <span class="api-command-ref">Deny</span>.</p>
                                </td>
                            </tr>
                        </tbody>
                    </table>

For more information, see [Handling Errors](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Delete Collection Permission

Removes the specified collection permission for the specified group or user.

#### URI

DELETE /api/api-version/sites/site-id/collections/collection-id/permissions/groups/group-id/capability-name/capability-mode

DELETE /api/api-version/sites/site-id/collections/collection-id/permissions/users/user-id/capability-name/capability-mode

#### Parameter Values

<table class="api-parameters-table">
                        <colgroup>
                            <col class="api-parameters-table-col-1-extra-wide">
                            <col>
                        </colgroup>
                        <tbody>
                            <tr>
                                <td><span class="api-placeholder">api-version</span>
                                </td>
                                <td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td>
                            </tr>
                            <tr>
                                <td><span class="api-placeholder">site-id</span>
                                </td>
                                <td>The ID of the site that contains the collection.</td>
                            </tr>
                            <tr>
                                <td><span class="api-placeholder">collection-id</span>
                                </td>
                                <td>The ID of the collection to remove the permission for.</td>
                            </tr>
                            <tr>
                                <td><span class="api-placeholder">group-id</span>
                                </td>
                                <td>The ID of the group to remove the permission for.</td>
                            </tr>
                            <tr>
                                <td><span class="api-placeholder">user-id</span>
                                </td>
                                <td>The ID of the user to remove the permission for.</td>
                            </tr>
                            <tr>
                                <td><span class="api-placeholder">capability-name</span>
                                </td>
                                <td>
                                    <p>The capability to remove the permission for.
                                    The only valid capability for a collection is
                                    <span class="api-command-ref">Read</span>. The only valid capability mode is Allow or Deny.</p>
                                    <p>For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm" class="xref">Permissions</a>.</p>
                                </td>
                            </tr>
                            <tr>
                                <td><span class="api-placeholder">capability-mode</span>
                                </td>
                                <td><span class="api-command-ref">Allow</span> to delete an allow permission, or <span class="api-command-ref">Deny</span> to delete a deny permission. This value is case sensitive.
                           </td>
                            </tr>
                        </tbody>
                    </table>

#### Request Body

None

#### Permissions

This method can be called by server administrators, site administrators, and collection owners.

#### Required scope for JWT authorization

_Scope added in API 3.27 (Tableau Cloud December 2025 / Server 2025.3)._

Authorize use of this method by including this scope in the JSON Web Token (JWT). For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud), or [Access Scopes for Connected Apps](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) in the Tableau Cloud Help or [Access Scopes for Connected Apps](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) in the Tableau Server Help.

```
tableau:permissions:delete
```

#### Response Code

204

#### Response Body

None

#### Version

Version 3.12 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>400</td><td>400009</td><td>Invalid capability</td><td>The capability in the URI is invalid for a collection. The only valid capability for a collection is <span class="api-command-ref">Read</span>.</td></tr><tr><td>403</td><td>403004</td><td>Permissions setting forbidden</td><td>A non-administrator user called this method but doesn't have permission to set permissions on the collection.</td></tr><tr><td>404</td><td>404000</td><td>Resource not found</td><td>The site ID in the URI wasn't found.</td></tr><tr><td>404</td><td>404002</td><td>Resource not found</td><td>The user ID in the URI wasn't found.</td></tr><tr><td>404</td><td>404012</td><td>Resource not found</td><td>The group ID in the URI wasn't found.</td></tr><tr><td>404</td><td>404013</td><td>Resource not found</td><td>The capability in the URI isn't recognized.</td></tr><tr><td>404</td><td>404014</td><td>Resource not found</td><td>The user or group permission wasn't found on the collection. Check the permissions on the collection that you're trying to remove and try again.</td></tr><tr><td>404</td><td>404038</td><td>Resource not found</td><td>The collection ID in the URI wasn't found.</td></tr><tr><td>405</td><td>405000</td><td>Invalid request method</td><td>Request type was not <span class="api-command-ref">DELETE</span>.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## List Collection Permissions

Returns a list of permissions for a specific collection.

#### URI

GET /api/api-version/sites/site-id/collections/collection-luid/permissions

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site that contains the collection.</td></tr><tr><td><span class="api-placeholder">collection-id</span></td><td>The ID of the collection to get permissions for.</td></tr></tbody></table>

#### Request Body

None

#### Permissions

This method can be called by server administrators, site administrators, and collection owners.

#### Required scope for JWT authorization

_Scope added in API 3.27 (Tableau Cloud December 2025 / Server 2025.3)._

Authorize use of this method by including this scope in the JSON Web Token (JWT). For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud), or [Access Scopes for Connected Apps](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) in the Tableau Cloud Help or [Access Scopes for Connected Apps](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) in the Tableau Server Help.

```
tableau:permissions:read
```

#### Response Code

200

#### Response Body

```
<tsResponse>
  <permissions>
    <collection id="12ab34cd-56ef-78ab-90cd-12ef34ab56cd" name="Bob's Collection">
      <owner id="9f9e9d9c-8b8a-8f8e-7d7c-7b7a6f6d6e6d"/>
    </collection>
    <granteeCapabilities>
      <group id="1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d"/>
      <capabilities>
        <capability name="Read" mode="Allow"/>
      </capabilities>
    </granteeCapabilities>
    <granteeCapabilities>
      <user id="08a7b6b5-b4ba-be3a-4d2d-1e9e59a8a7b6"/>
      <capabilities>
        <capability name="Read" mode="Allow"/>
      </capabilities>
    </granteeCapabilities>

  </permissions>
</tsResponse>
```

#### Version

Version 3.12 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>404</td><td>404038</td><td>Resource not found</td><td>The collection ID in the URI wasn't found.</td></tr><tr><td>404</td><td>404000</td><td>Resource not found</td><td>The site ID in the URI wasn't found.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Add items to a collection

Adds items to a collection.

**Version:** Available in API 3.28 (Cloud February 2026 / Server 2026.2) and later. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** Tableau administrators can call this method for all sites they administer. Other users can call this method for collections that they own. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** tableau:collections:update. Added in API 3.28. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

POST {server}/api/-/collections/{luid}/items/batchCreate

[view details](#)

## Batch update collections

Batch updates collections.

**Version:** Available in API 3.28 (Cloud February 2026 / Server 2026.2) and later. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** Tableau administrators can call this method for all sites they administer. Other users can call this method for collections that they own. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** tableau:collections:update. Added in API 3.28. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

POST {server}/api/-/collections/batchUpdate

[view details](#)

## Create a collection

Creates a new collection.

**Version:** Available in API 3.28 (Cloud February 2026 / Server 2026.2) and later. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** Tableau administrators can call this method for all sites they administer. Other users can call this method for collections that they own. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** tableau:collections:create. Added in API 3.28. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

POST {server}/api/-/collections

[view details](#)

## Delete collections

Deletes collections.

**Version:** Available in API 3.28 (Cloud February 2026 / Server 2026.2) and later. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** Tableau administrators can call this method for all sites they administer. Other users can call this method for collections that they own. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** tableau:collections:delete. Added in API 3.28. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

DELETE {server}/api/-/collections

[view details](#)

## Delete collections

Deletes collections.

**Version:** Available in API 3.28 (Cloud February 2026 / Server 2026.2) and later. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** Tableau administrators can call this method for all sites they administer. Other users can call this method for collections that they own. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** tableau:collections:delete. Added in API 3.28. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

DELETE {server}/api/-/collections/{luid}

[view details](#)

## Get details of a collection

Gets the details of a collection.

**Version:** Available in API 3.28 (Cloud February 2026 / Server 2026.2) and later. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** Tableau administrators can call this method for all sites they administer. Other users can call this method for collections that they own. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** tableau:collections:read. Added in API 3.28. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

GET {server}/api/-/collections/{luid}

[view details](#)

## List collections

Lists collections.

**Version:** Available in API 3.28 (Cloud February 2026 / Server 2026.2) and later. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** Tableau administrators can call this method for all sites they administer. Other users can call this method for collections that they own. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** tableau:collections:read. Added in API 3.28. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

GET {server}/api/-/collections

[view details](#)

## List items in a collection

Lists items in a collection.

**Version:** Available in API 3.28 (Cloud February 2026 / Server 2026.2) and later. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** Tableau administrators can call this method for all sites they administer. Other users can call this method for collections that they own. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** tableau:collections:read. Added in API 3.28. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

GET {server}/api/-/collections/{luid}/items

[view details](#)

## Remove items from a collection

Removes items from a collection.

**Version:** Available in API 3.28 (Cloud February 2026 / Server 2026.2) and later. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** Tableau administrators can call this method for all sites they administer. Other users can call this method for collections that they own. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** tableau:collections: update. Added in API 3.28. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

POST {server}/api/-/collections/{luid}/items/batchDelete

[view details](#)

## Reorder items in a collection

Reorders items in a collection.

**Version:** Available in API 3.28 (Cloud February 2026 / Server 2026.2) and later. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** Tableau administrators can call this method for all sites they administer. Other users can call this method for collections that they own. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** tableau:collections:update. Added in API 3.28. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

PATCH {server}/api/-/collections/{luid}/orderItems

[view details](#)